<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HandsArea Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/da4/class_hands_area.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">HandsArea Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for HandsArea:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/da4/class_hands_area.png" usemap="#HandsArea_map" alt=""/>
  <map id="HandsArea_map" name="HandsArea_map">
<area href="../../d4/d8f/class_container.html" alt="Container" shape="rect" coords="0,0,76,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8966adc3d43d39a8363f3e290b114863"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a8966adc3d43d39a8363f3e290b114863">HandsArea</a> (<a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> parent)</td></tr>
<tr class="separator:a8966adc3d43d39a8363f3e290b114863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c7f469f402e1efac7b6874b7f46cb59"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a3c7f469f402e1efac7b6874b7f46cb59">IsSwapActive</a> ()</td></tr>
<tr class="separator:a3c7f469f402e1efac7b6874b7f46cb59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46b68a7ee3a5862d6027a29570dbf52c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a46b68a7ee3a5862d6027a29570dbf52c">IsCombineActive</a> ()</td></tr>
<tr class="separator:a46b68a7ee3a5862d6027a29570dbf52c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa360b5719076f20e47e934a833eedf12"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#aa360b5719076f20e47e934a833eedf12">UpdateInterval</a> ()</td></tr>
<tr class="separator:aa360b5719076f20e47e934a833eedf12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad89f73b523579d6032cdd99fb753f72e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#ad89f73b523579d6032cdd99fb753f72e">SetLayoutName</a> ()</td></tr>
<tr class="separator:ad89f73b523579d6032cdd99fb753f72e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85cd0cf9914fed6a2a49cb6e622f5ba7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a85cd0cf9914fed6a2a49cb6e622f5ba7">SetParentWidget</a> ()</td></tr>
<tr class="separator:a85cd0cf9914fed6a2a49cb6e622f5ba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fe21fe33af030f95e7bb783cb680c9f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a6fe21fe33af030f95e7bb783cb680c9f">OnShow</a> ()</td></tr>
<tr class="separator:a6fe21fe33af030f95e7bb783cb680c9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b86e731f23409eb00fbdba8db85afba"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a7b86e731f23409eb00fbdba8db85afba">Refresh</a> ()</td></tr>
<tr class="separator:a7b86e731f23409eb00fbdba8db85afba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add8f1cefba38cf42d962a78c7ee8e7e3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#add8f1cefba38cf42d962a78c7ee8e7e3">DraggingOverHandsPanel</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver)</td></tr>
<tr class="separator:add8f1cefba38cf42d962a78c7ee8e7e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a014cab4a7aea035062121ba3893b7925"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a014cab4a7aea035062121ba3893b7925">OnHandsPanelDropReceived</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver)</td></tr>
<tr class="separator:a014cab4a7aea035062121ba3893b7925"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a96db17d84726a5b5828b5ad4ceee2b20"><td class="memItemLeft" align="right" valign="top">protected ScrollWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a96db17d84726a5b5828b5ad4ceee2b20">m_Scroller</a></td></tr>
<tr class="separator:a96db17d84726a5b5828b5ad4ceee2b20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc6335a3b69c51936a6fec74298385f1"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d3/d1c/class_hands_container.html">HandsContainer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#acc6335a3b69c51936a6fec74298385f1">m_HandsContainer</a></td></tr>
<tr class="separator:acc6335a3b69c51936a6fec74298385f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807908ee622cc5cd9d84bbbd8eade534"><td class="memItemLeft" align="right" valign="top">protected ref SizeToChild&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a807908ee622cc5cd9d84bbbd8eade534">m_HandsResizer</a></td></tr>
<tr class="separator:a807908ee622cc5cd9d84bbbd8eade534"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a053a953fe09c4dc4885a0da761540934"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/da4/class_hands_area.html#a053a953fe09c4dc4885a0da761540934">m_ShouldChangeSize</a> = true</td></tr>
<tr class="separator:a053a953fe09c4dc4885a0da761540934"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00001">1</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8966adc3d43d39a8363f3e290b114863" name="a8966adc3d43d39a8363f3e290b114863"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8966adc3d43d39a8363f3e290b114863">&#9670;&#160;</a></span>HandsArea()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandsArea::HandsArea </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00009">9</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="add8f1cefba38cf42d962a78c7ee8e7e3" name="add8f1cefba38cf42d962a78c7ee8e7e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add8f1cefba38cf42d962a78c7ee8e7e3">&#9670;&#160;</a></span>DraggingOverHandsPanel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandsArea::DraggingOverHandsPanel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>receiver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00085">85</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="a46b68a7ee3a5862d6027a29570dbf52c" name="a46b68a7ee3a5862d6027a29570dbf52c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46b68a7ee3a5862d6027a29570dbf52c">&#9670;&#160;</a></span>IsCombineActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> HandsArea::IsCombineActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00032">32</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="a3c7f469f402e1efac7b6874b7f46cb59" name="a3c7f469f402e1efac7b6874b7f46cb59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c7f469f402e1efac7b6874b7f46cb59">&#9670;&#160;</a></span>IsSwapActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> HandsArea::IsSwapActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00022">22</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="a014cab4a7aea035062121ba3893b7925" name="a014cab4a7aea035062121ba3893b7925"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a014cab4a7aea035062121ba3893b7925">&#9670;&#160;</a></span>OnHandsPanelDropReceived()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HandsArea::OnHandsPanelDropReceived </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>receiver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00125">125</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="a6fe21fe33af030f95e7bb783cb680c9f" name="a6fe21fe33af030f95e7bb783cb680c9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fe21fe33af030f95e7bb783cb680c9f">&#9670;&#160;</a></span>OnShow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsArea::OnShow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00074">74</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="a7b86e731f23409eb00fbdba8db85afba" name="a7b86e731f23409eb00fbdba8db85afba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b86e731f23409eb00fbdba8db85afba">&#9670;&#160;</a></span>Refresh()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsArea::Refresh </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00080">80</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="ad89f73b523579d6032cdd99fb753f72e" name="ad89f73b523579d6032cdd99fb753f72e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad89f73b523579d6032cdd99fb753f72e">&#9670;&#160;</a></span>SetLayoutName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsArea::SetLayoutName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00064">64</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="a85cd0cf9914fed6a2a49cb6e622f5ba7" name="a85cd0cf9914fed6a2a49cb6e622f5ba7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85cd0cf9914fed6a2a49cb6e622f5ba7">&#9670;&#160;</a></span>SetParentWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsArea::SetParentWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00069">69</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="aa360b5719076f20e47e934a833eedf12" name="aa360b5719076f20e47e934a833eedf12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa360b5719076f20e47e934a833eedf12">&#9670;&#160;</a></span>UpdateInterval()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void HandsArea::UpdateInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00042">42</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="acc6335a3b69c51936a6fec74298385f1" name="acc6335a3b69c51936a6fec74298385f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc6335a3b69c51936a6fec74298385f1">&#9670;&#160;</a></span>m_HandsContainer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d3/d1c/class_hands_container.html">HandsContainer</a> HandsArea::m_HandsContainer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00004">4</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="a807908ee622cc5cd9d84bbbd8eade534" name="a807908ee622cc5cd9d84bbbd8eade534"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a807908ee622cc5cd9d84bbbd8eade534">&#9670;&#160;</a></span>m_HandsResizer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref SizeToChild HandsArea::m_HandsResizer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00005">5</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="a96db17d84726a5b5828b5ad4ceee2b20" name="a96db17d84726a5b5828b5ad4ceee2b20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96db17d84726a5b5828b5ad4ceee2b20">&#9670;&#160;</a></span>m_Scroller</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ScrollWidget HandsArea::m_Scroller</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00003">3</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<a id="a053a953fe09c4dc4885a0da761540934" name="a053a953fe09c4dc4885a0da761540934"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a053a953fe09c4dc4885a0da761540934">&#9670;&#160;</a></span>m_ShouldChangeSize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> HandsArea::m_ShouldChangeSize = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/def/_hands_area_8c_source.html#l00007">7</a> of file <a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/InventoryNew/Areas/<a class="el" href="../../d3/def/_hands_area_8c_source.html">HandsArea.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/da4/class_hands_area.html">HandsArea</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
